import Ball from "./Ball";
import { getTexture } from "./utils";


export class SmallBall extends Ball{
    name:'smallBall';
    _life:number = 3;
    smallBall = new engine.Sprite(getTexture('57d4067e-c32f-4b12-a8fc-185753726fc6'))
    constructor(_life,smallBall){
        super(_life,smallBall)
    }

    public addBall(){
        return super.addBall(this.smallBall);
    }

    public died(){
        return super.died(this._life)
    }
}